/*
 * NATItem.h
 *
 *  Created on: 10-01-2017
 *      Author: Piotr Dergun
 */

#ifndef NATITEM_H_
#define NATITEM_H_

#include "common.h"

class NATItem
{
	string ip;		// IP wewn. do którego ma trafić odpowiedź / z którego przyszło żądanie
	int port;		// port komputera wewn. do którego ma trafić odpowiedź
	int timeout;	// czas (w sekundach) zajętości portu (0 - port wolny)

public:
	NATItem();
/*
	// settery
	void setIp(string ip);
	void setPort(int port);
	void setTimeout(int timeout);

	// gettery
	string getIp();
	int getPort();
	int getTimeout();*/
	const string& getIp() const;
	void setIp(const string& ip);
	int getPort() const;
	void setPort(int port);
	int getTimeout() const;
	void setTimeout(int timeout);
};

#endif /* NATITEM_H_ */
