/*
 * NATItem.cpp
 *
 *  Created on: 10-01-2017
 *      Author: Piotr Dergun
 */

#include "NATItem.h"

NATItem::NATItem()
{
	this->ip = "0.0.0.0";
	this->port = 0;
	this->timeout = 0;
}

const string& NATItem::getIp() const
{
	return ip;
}

void NATItem::setIp(const string& ip)
{
	this->ip = ip;
}

int NATItem::getPort() const
{
	return port;
}

void NATItem::setPort(int port)
{
	this->port = port;
}

int NATItem::getTimeout() const
{
	return timeout;
}

void NATItem::setTimeout(int timeout)
{
	this->timeout = timeout;
}
